Source: ruby-rubber-generate
Section: ruby
Priority: extra
Maintainer: Devon Kearns <dookie@kali.org>
Build-Depends: debhelper (>= 8.0.0), gem2deb (>= 0.3.0~), ruby-test-unit
Standards-Version: 3.9.3
Homepage: https://github.com/geoffyoungs/rubber-generate
Vcs-Git: ssh://git@git.kali.org/packages/ruby-rubber-generate.git
Vcs-Browser: http://git.kali.org/gitweb?p=packages/ruby-rubber-generate.git;a=summary
XS-Ruby-Versions: all

Package: ruby-rubber-generate
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby
Description: Ruby C Bindings template language
 A simple ruby-style bindings generator for Ruby. It allows bindings to
 be laid out in a Ruby style, documentation to be included inline and
 explicit type casts within C code. It’s somewhere between SWIG and pyrex.
 .
 It also allows features extconf.rb creation, including checks for headers,
 pkg-config etc. The modules it creates currently depend on Ruby/GTK, but
 it is planned to remove this dependency unless they genuinely require Ruby/GTK.
 .
 Other features include custom named type-maps, pre/post code inclusion within
 functions and some rudimentary understanding of C code.
